#!/bin/bash

set -e
umask 022

sudo rm -rf work
sudo ./build.sh -v
sudo rm -rf work

unset -v latest
for file in out/archlinux-*.iso; do
	[[ $file -nt $latest ]] && latest=$file
done

rsync -tP "$latest" mistral:
ssh root@mistral cd /home/flo\; ./extract-archiso.sh "${latest##*/}"
